Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1409657 - tracker-extract repeatedly restarts when indexing auto files
Summary: tracker-extract repeatedly restarts when indexing auto files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 20:41 UTC by Peter Oliver
Modified: 2018-04-02 18:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:17:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Oliver 2017-01-02 20:41:56 UTC
Description of problem:
On a recently installed Fedora 25 Workstation with /home taken from a previous installation, I see many journal entries along the lines of the following:

Jan 02 20:28:46 hostname tracker-extract[13074]: Could not process media art for 'file:///home/loginname/Music/p/Pipettes,%20The/We%20Are%20the%20Pipettes/01%20We%20Are%20the%20Pipettes.flac', Failed to create file '/home/loginname/.cache/media-art/album-edd878bacc6fe8fe8aaf7475626f9b11-7215ee9c7d9dc229d2921a40e899ec5f.jpeg.D5VMTY': Permission denied
Jan 02 20:28:46 hostname audit[19305]: ANOM_ABEND auid=5000 uid=5000 gid=5000 ses=5 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=19305 comm="single" exe="/usr/libexec/tracker-extract" sig=31
Jan 02 20:28:46 hostname abrt-hook-ccpp[19316]: Process 19288 (tracker-extract) of user 5000 killed by signal 31 - ignoring (unsupported signal)
Jan 02 20:28:46 hostname systemd[2436]: tracker-extract.service: Main process exited, code=killed, status=31/SYS
Jan 02 20:28:46 hostname systemd[2436]: tracker-extract.service: Unit entered failed state.
Jan 02 20:28:46 hostname systemd[2436]: tracker-extract.service: Failed with result 'signal'.
Jan 02 20:28:47 hostname systemd[2436]: tracker-extract.service: Service hold-off time over, scheduling restart.
Jan 02 20:28:47 hostname systemd[2436]: Stopped Tracker metadata extractor.
Jan 02 20:28:47 hostname systemd[2436]: Starting Tracker metadata extractor...
Jan 02 20:28:47 hostname systemd[2436]: Started Tracker metadata extractor.

I notice that /home/loginname/.cache/media-art/ is empty.  Running `restorecon 
/home/loginname/.cache/media-art/` does not help.  However, if I manually run `tracker extract file:///home/loginname/Music/p/Pipettes,%20The/We%20Are%20the%20Pipettes/01%20We%20Are%20the%20Pipettes.flac`, a file and a symlink are successfully created in /home/loginname/.cache/media-art/.

Version-Release number of selected component (if applicable):
tracker-1.10.3-1.fc25.x86_64

Comment 1 Marco Giunta 2017-01-17 15:29:33 UTC
Same problem here.

Downgrade 'tracker' to version 1.10.2 (or 1.10.1) fix the problem.

Comment 2 Jose Mantilla 2017-01-20 02:59:47 UTC
(In reply to Marco Giunta from comment #1)
> Same problem here.
> 
> Downgrade 'tracker' to version 1.10.2 (or 1.10.1) fix the problem.

Thank you Marco, I had the same issue and I needed to do a downgrade to this package like you tell us. Additionally, I tried disable all the options with the tracker-preferences package but the issue wasn't fixed.

I'll hope the update with the fix.

Comment 3 Fabrice Bellet 2017-05-12 10:22:25 UTC
The problem is with libseccomp extractor sandboxing that prevents libmediaart thumbnail generation: the open() system call with write flags is blacklisted.

18102 open("/home/bellet/.cache/media-art/album-4fc3f723eb517792b534b9dabc1291c8-7215ee9c7d9dc229d2921a40e899ec5f.jpeg.7TRWZY", O_RDWR|O_CREAT|O_EXCL, 0666) = -1 EACCES (Permission denied)

Comment 4 Fabrice Bellet 2017-05-12 14:48:33 UTC
Upstream commit 6a0506862 disabled libmediaart dependency for this reason BTW.

Comment 5 Fedora End Of Life 2017-11-16 19:16:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:17:58 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.